summaryrefslogtreecommitdiff
path: root/tests/df/total-unprocessed.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/df/total-unprocessed.sh')
-rwxr-xr-xtests/df/total-unprocessed.sh12
1 files changed, 7 insertions, 5 deletions
diff --git a/tests/df/total-unprocessed.sh b/tests/df/total-unprocessed.sh
index 24b83a935..3bbfc6bfb 100755
--- a/tests/df/total-unprocessed.sh
+++ b/tests/df/total-unprocessed.sh
@@ -25,11 +25,13 @@ cat <<\EOF > exp || framework_failure_
df: no file systems processed
EOF
-# The following simply finds no match for the combination
-# of the options --local and FS-type nfs together with the
-# argument ".". It must exit non-Zero nonetheless.
-df -t _non_existent_fstype_ --total '.' 2>out && fail=1
-compare exp out || fail=1
+# Check we exit with non-Zero.
+# Note we don't check when the file system can't be determined
+# as -t filtering is not applied in that case.
+if test "$(df --output=fstype . | tail -n1)" != '-'; then
+ df -t _non_existent_fstype_ --total . 2>out && fail=1
+ compare exp out || fail=1
+fi
cat <<\EOF > exp || framework_failure_
df: '_does_not_exist_': No such file or directory